Reinstallation Locus Pro

Daniel De Bruyn shared this problem 4 years ago
Solved

I have a Samsung GT-S7500 with Androit version 2.3.6.

I unststalled Locus Pro because I had problems with downloading maps. If I go to the Google Play Store I get the message "Your device is not compattible with this version" (Free translation). See attached file.

What can I do?

Comments (1)

photo
1

Hello Daniel.


The newest Locus version is not compatible with Android 2.3 and older.

Please install compatible Locus version 3.5.3 here http://www.locusmap.eu/news-version-3-6-0/


In case of questions please contact us.

Hana